=== debian/changelog ===
cutefish-screenshot (0.8) UNRELEASED; urgency=low

  * Initial release (CutefishOS)  <support@cutefishos.com>

 -- CutefishOS Packaging Team <support@cutefishos.com>  Sat, 29 Jan 2022 03:20:00 +0800
